""" Fonctions utilitaires pour gérer des facteurs de certitude. """

def fc_ou(fc1, fc2):
    """ Calcule le facteur de certitude d'une disjonction de faits. """
    if fc1 > 0.0 and fc2 > 0.0:
        return fc1 + fc2 - (fc1 * fc2)
    elif fc1 < 0.0 and fc2 < 0.0:
        return fc1 + fc2 + (fc1 * fc2)
    else:
        return (fc1 + fc2) / (1.0 - min(abs(fc1), abs(fc2)))

def fc_et(fc1, fc2):
    """ Calcule le facteur de certitude d'une conjonction de faits. """
    return min(fc1, fc2)